import { poseidonHash as e } from "../../crypto/poseidon.mjs";
import { ethers as t } from "ethers";
import { PublicKey as n } from "@solana/web3.js";
//#region libs/shared/common/src/functions/utils/solanaMint.utils.ts
var r = (e) => {
	let n = e.toBytes();
	return BigInt(t.hexlify(n));
}, i = (t) => {
	let i = typeof t == "string" ? new n(t) : t, a = r(i), o = a / 2n ** 128n, s = a % 2n ** 128n;
	return {
		mintAccountPart1: o,
		mintAccountPart2: s,
		compressedAddress: e(o, s),
		mintPublicKey: i
	};
};
//#endregion
export { r as convertPublicKeyToBigint, i as formatMintAddress };
